#ifndef __CAPTFRAME_H
#define __CAPTFRAME_H 1
//************************************************************************
// 	CaptFrame.H
//************************************************************************
//
//  	Copyright (c) 1993-97 by
//
//		ABRI development
//		Andreas Vogel
//		Miltnerweg 17/14/19
//		A-1110 Vienna, Austria
//		phone/fax/modem: +43 1 76 23 35
//		handy:		 +43 664 325 79 70
//		Internet:	 100343.2704@compuserve.com
//
//	All rights reserved
//
// Originally written:
// ===================
// Copyright 1996 Microsoft Systems Journal.
// If this program works, it was written by Paul DiLascia.
// If not, I don't know who wrote it.
// This program compiles with Visual C++ 4.1 on Windows 95
// See ShadeCap.cpp
//
//	--------------------------------------------------------
//
//  Purpose:    Shaded title bar like MS-Excel/WinWord
//
//  Project:
//
//  Author:	Vogel Andreas
//
//  History:
//
//	97-01-03  V1.0	created
//
//	--------------------------------------------------------
//
//  Brief description:
//
//	editor TAB spacing = 8 !
// 	all my classes start with lower case "c"
// 	all my member variables start with lower case "m"

#include <owl\framewin.h>

//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

class cCaptFrame : public TFrameWindow

//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
{
  // Stuff for painting custom title bar:
  TFont *	mFontCaption;	// normal system font for active caption
  TFont	*	mFontAcme;	// "ACME" company font (same active/inactive)
  bool		mbActive;	// whether active or not;
  TRect		mRcCaption;	// caption rectangle
  TBitmap *	mBmCaption[2];	// bitmap captions active/inactive

public:

	cCaptFrame(TWindow* 		parent,
        	   const char far *	title = 0,
                   TWindow* 		clientWnd = 0,
                   bool 		shrinkToClient = false,
                   TModule* 		module = 0)
        :
        TFrameWindow(parent,
                     title,
                     clientWnd,
                     shrinkToClient,
                     module) {
          mFontCaption = mFontAcme = NULL;
    	  mBmCaption[0] = mBmCaption[1] = NULL;
        }

	~cCaptFrame() {
          delete mFontCaption;
	  delete mFontAcme;
    	  delete mBmCaption[0];
    	  delete mBmCaption[1];
        };

protected:
  //--- overloaded ---

  //--- user ---
  void		PaintCaption(bool bActive);
  void		PaintCaption() { PaintCaption(mbActive); }
  TBitmap* 	GetCaptionBitmap(bool bActive);
  void		CreateFonts();

  //--- message ---
  void 		EvNCPaint(HRGN);
  bool		EvNCActivate(bool bActive);
  void 		EvSetText(CONST char far* text);
  void 		EvSysColorChange();
  void 		EvSettingChange(uint, const char far *) {
    EvSysColorChange();
  }

DECLARE_RESPONSE_TABLE(cCaptFrame);
};


#endif

